
Redmine - Feature #4664

Add pagination to forum threads

2010-01-27 09:51 - Georg Weber

Status: Closed Start date: 2010-01-27

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed   

Description

We have a couple of forum threads with a lot of answers (> 150). It takes a while until those threads are being loaded. I measured

the time for loading one of them (730kB HTML content):

26.3 seconds to get the response from the server

2.6 seconds to render (in Firefox)

The HTTP header tells me something about X-Runtime of 78ms - so the (Mongrel) server seems not to be the problem ...

A paging feature within the thread would reduce this time a lot

Associated revisions

Revision 3373 - 2010-02-06 13:54 - Jean-Philippe Lang

Adds pagination to forum messages (#4664).

History

#1 - 2010-01-30 13:18 - Jean-Philippe Lang

- Category set to Forums

#2 - 2010-01-31 22:45 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Priority changed from Normal to High

#3 - 2010-02-06 13:46 - Jean-Philippe Lang

- Subject changed from Add paging to forum threads to Add pagination to forum threads

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

Feature added in r3373.
